package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.domain.entity.Mark;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.mapper.MarkMapper;
import com.ruoyi.system.service.IMarkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2021-11-19
 */
@Service
public class MarkServiceImpl extends ServiceImpl<MarkMapper, Mark> implements IMarkService
{
    @Autowired
    private MarkMapper markMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public Mark selectMarkById(Long id)
    {
        return markMapper.selectMarkById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param mark 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<Mark> selectMarkList(Mark mark)
    {
        return markMapper.selectMarkList(mark);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param mark 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertMark(Mark mark)
    {
        mark.setCreateTime(DateUtils.getNowDate());
        return markMapper.insertMark(mark);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param mark 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateMark(Mark mark)
    {
        mark.setUpdateTime(DateUtils.getNowDate());
        return markMapper.updateMark(mark);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteMarkByIds(Long[] ids)
    {
        return markMapper.deleteMarkByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteMarkById(Long id)
    {
        return markMapper.deleteMarkById(id);
    }
}
